C++ ABI Rebuild

by | ClosedDec 10, 2015 | ClosedPackage Advisories | Closed | Closed

Package:All C++ AUR packages
Also Affects:n/a
Opened:Thu Dec 10 2015 00:32:16 GMT-0500 (CDT)
Closed:n/a

GCC-5.x release includes libstdc++ with a dual ABI. All packages which provide any C++ binaries have been switched over to the new ABI.

While the old C++ ABI is still available, it is recommended that you rebuild all non-repo C++ packages (those you have installed from the AUR) so that they will have the new ABI. This is particularly important if they link to a library that is built against the new ABI.

You can generate a list of packages on your system that should be rebuilt using this script.

Note: Before rebuilding any packages, make sure you have installed the updated versions of the C++ packages from the official repos. The updates will be synced across the mirror network over the next few hours.

As always, if you have any questions or run into any issues, please let us know by commenting below (or by posting in the forum).

Divi WordPress Theme

Pin It on Pinterest

Shares
Share This